package com.lantone.qc.kernel.catalogue.firstpagerecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.Content;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.operation.OperationDiscussionDoc;
import com.lantone.qc.pub.model.doc.operation.OperationDoc;
import com.lantone.qc.pub.util.ListUtil;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @ClassName : FIRP0246
 * @Description : 伤口愈合等级填写的与出院小结不一致
 * @Author : 楼辉荣
 * @Date: 2020-03-06 17:28ss
 */
@Component
public class FIRP0246 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {

        status.set("0");
        List<OperationDoc> operationDocs = inputInfo.getOperationDocs();
        String operations = "";
        String operations_first = "";
        if (ListUtil.isNotEmpty(operationDocs)) {
            OperationDiscussionDoc operationDiscussionDoc = operationDocs.get(0).getOperationDiscussionDoc();
            if (operationDiscussionDoc == null) {
                return;
            }
            operations = operationDiscussionDoc.getStructureMap().get(Content.healing_level);
        }
        if (StringUtil.isBlank(operations)) {
            return;
        }
        if (inputInfo.getFirstPageRecordDoc() != null && inputInfo.getFirstPageRecordDoc().getStructureMap() != null) {
            Map<String, Object> firstpageStructureMap = inputInfo.getFirstPageRecordDoc().getStructureExtMap();
            List<Map<String, String>> operative_information = (List<Map<String, String>>) firstpageStructureMap.get(Content.operative_information);
            if (operative_information != null && operative_information.size() > 0) {
                operations_first = operative_information.get(0).get(Content.healing_level);
                if (!CatalogueUtil.isEmpty(operative_information.get(0).get(Content.operative_name)) || CatalogueUtil.isEmpty(operations_first)) {
                    return;
                }
            }
        }
        if (StringUtil.isBlank(operations_first)) {
            return;
        }

        if (!operations.contains(operations_first)) {
            status.set("-1");
            return;
        }
    }
}