package com.lantone.qc.kernel.catalogue.hospital.changshaxy.firstpagerecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.Content;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.util.StringUtil;

import java.util.Map;

/**
 * @ClassName : FIRP0183
 * @Description : 病理诊断填写与病程记录不一致
 * @Author : dy
 * @Date: 2021-10-13 15:02
 * @Component
 */
public class FIRP0183 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        if (inputInfo.getFirstPageRecordDoc() != null && inputInfo.getFirstPageRecordDoc().getStructureMap() != null
                && inputInfo.getBeHospitalizedDoc() != null && inputInfo.getBeHospitalizedDoc().getStructureMap() != null) {
            Map<String, String> firstMap = inputInfo.getFirstPageRecordDoc().getStructureMap();
            Map<String, String> behosMap = inputInfo.getBeHospitalizedDoc().getStructureMap();
            String s = firstMap.get(Content.pathologyDiagnose);
            String s1 = behosMap.get(Content.pathologyDiagnose);
            if (StringUtil.isEmpty(s) || StringUtil.isEmpty(s1)) {
                return;
            }
            if (!CatalogueUtil.compareToken(s, s1)) {
                status.set("0");
            }
        }
    }
}
