package com.lantone.qc.kernel.catalogue.hospital.changshaxy.firstpagerecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.Content;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName : FIRP0191
 * @Description : 主要手术及操作名称未填写
 * @Author : dy
 * @Date: 2021-10-13 14:01
 */
@Component
public class FIRP0191 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        if (inputInfo.getFirstPageRecordDoc() != null) {
            status.set("0");
            return;
        }
        Map<String, String> map = inputInfo.getFirstPageRecordDoc().getStructureMap();
        String oName = map.get(Content.operative_name);
        if (!StringUtil.isEmpty(oName)) {
            status.set("0");
        }
    }
}