package com.lantone.qc.kernel.catalogue.hospital.changshaxy.firstpagerecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.Content;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName : FIRP02836
 * @Description :出生日期未填写
 * @Author : dy
 * @Date: 2021-10-13 16:05
 */
@Component
public class FIRP02836 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        if (inputInfo.getFirstPageRecordDoc() != null && inputInfo.getFirstPageRecordDoc().getStructureMap() != null) {
            Map<String, String> firstpageStructureMap = inputInfo.getFirstPageRecordDoc().getStructureMap();
            String reHospitalization = firstpageStructureMap.get(Content.birth_date);
            if (CatalogueUtil.isEmpty(reHospitalization)) {
                status.set("-1");
            }
        }
    }
}