package com.lantone.qc.kernel.catalogue.hospital.changshaxy.firstpagerecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.Content;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName : FIRP02837
 * @Description : 年龄未填写
 * @Author : dy
 * @Date: 2021-10-13 17:45
 */
@Component
public class FIRP02837 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        if (inputInfo.getFirstPageRecordDoc() == null) {
            status.set("0");
            return;
        }
        if (inputInfo.getFirstPageRecordDoc().getStructureMap() != null) {
            Map<String, String> firstpageStructureMap = inputInfo.getFirstPageRecordDoc().getStructureMap();
            String age = firstpageStructureMap.get(Content.age);
            if (StringUtil.isBlank(age)) {
                status.set("-1");
            }
        }
    }
}