package com.lantone.qc.trans.changshaxy.util;

import com.google.common.collect.Lists;
import com.google.common.collect.Maps;
import com.lantone.qc.pub.util.StringUtil;
import com.lantone.qc.trans.changshaxy.util.comsis.XyCommonAnalysisUtil;
import com.lantone.qc.trans.comsis.CommonAnalysisUtil;
import lombok.extern.slf4j.Slf4j;
import org.jsoup.Jsoup;
import org.jsoup.nodes.Document;

import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * @Description:
 * @author: rengb
 * @time: 2020/9/12 13:53
 */
@Slf4j
public class XyConsultationHtmlAnalysis implements XyHtmlAnalysis {

    private String modeId = "31";

    @Override
    public Map<String, String> analysis(String... args) {
        Map<String, String> structureMap = Maps.newLinkedHashMap();

        try {
            List<String> titles = Lists.newArrayList("会诊病人姓名", "初步诊断", "会诊目的","申请会诊病室负责人签名", "申请日期", "医务办意见", "主任签名");
            String html = args[0];
            String recTitle = args[1];
            String recTypeId = args[2];
            String htmlContent = null;
            Document doc = Jsoup.parse(html);
            if ("2001-14".equals(recTypeId)) {
                htmlContent = CommonAnalysisUtil.html2String(html);
                titles = Lists.newArrayList("会诊意见回报","会诊意见执行情况","会诊诊断","诊断为","会诊建议","医师签名");
                if (StringUtil.isNotBlank(htmlContent)) {
                    XyCommonAnalysisUtil.extractWardInfo(recTitle, htmlContent, structureMap);
                    XyCommonAnalysisUtil.html2StructureMap(titles, htmlContent, structureMap);
                }
            } else {
                htmlContent = XyHtmlAnalysisUtil.blockDivToStr(doc.selectFirst("body"), true).replace("&nbsp", "");
                for (String t: titles) {
                    if (htmlContent.contains(t + ":") || htmlContent.contains(t + "：")) {
                        structureMap.put("通知信息", htmlContent.substring(0, htmlContent.indexOf(t)));
                        break;
                    }
                }
                if (StringUtil.isNotBlank(htmlContent)) {
                    CommonAnalysisUtil.html2StructureMap(titles, htmlContent, structureMap);
                }
            }
            XyCommonAnalysisUtil.processType(structureMap, "会诊类型");
            XyHtmlAnalysisUtil.insertModuleId(modeId, recTypeId, structureMap);
        } catch (Exception e) {
            log.error(e.getMessage(), e);
        }
        return structureMap;
    }

}