package com.lantone.qc.trans.changshaxy.util;

import com.google.common.collect.Lists;
import com.google.common.collect.Maps;
import com.lantone.qc.pub.util.StringUtil;
import com.lantone.qc.trans.changshaxy.util.comsis.XyCommonAnalysisUtil;
import com.lantone.qc.trans.comsis.CommonAnalysisUtil;
import lombok.extern.slf4j.Slf4j;
import org.jsoup.Jsoup;
import org.jsoup.nodes.Document;
import org.jsoup.nodes.Element;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @author: rengb
 * @time: 2020/9/28 20:12
 */
@Slf4j
public class XyConsultationRecordHtmlAnalysis implements XyHtmlAnalysis {

    private String modeId = "7";

    @Override
    public Map<String, String> analysis(String... args) {
        Map<String, String> map = Maps.newLinkedHashMap();
        try {
            String html = args[0];
            String recTitle = args[1];
            String recTypeId = args[2];
            Document doc = Jsoup.parse(html);
//            XyHtmlAnalysisUtil.tableStyle1InsertMap(Jsoup.parse(html).getElementById("table1_1"), map);
            Element bigDivElement = Jsoup.parse(html).selectFirst("body");
            analysisGeneral(recTitle,bigDivElement, map);
            XyHtmlAnalysisUtil.insertModuleId(modeId, recTypeId, map);
        } catch (Exception e) {
            log.error(e.getMessage(), e);
        }
        return map;
    }

    private void analysisGeneral(String recTitle, Element bigDivElement, Map<String, String> structureMap) {
//        if (bigDivElement.childNodeSize() == 1) {
//            bigDivElement = bigDivElement.child(0);
//        }
//        if (bigDivElement.selectFirst("hr") != null) {
//            bigDivElement.selectFirst("hr").previousElementSiblings().remove();
//        }
        String htmlContent = XyHtmlAnalysisUtil.blockDivToStr(bigDivElement, true).replace("&nbsp", "");
        List<String> titles = Lists.newArrayList("会诊病人姓名", "初步诊断", "会诊目的","申请会诊病室负责人签名", "申请日期", "医务办意见", "主任签名");

        //获取病历标题和文书标题
        List<String> titleContent = Lists.newArrayList(htmlContent.split(" "));
        String title = titleContent.get(0);
        if (StringUtil.isNotBlank(title) && title.equals(recTitle)) {
            structureMap.put("病历标题", title);
            titleContent.remove(0);
        } else {
            structureMap.put("病历标题", recTitle);
            structureMap.put("文书标题", title);
            if (titleContent.size() > 2) {
                titleContent.remove(0);
                titleContent.remove(0);
            }
        }

        for (String t: titles) {
            if (htmlContent.contains(t + ":") || htmlContent.contains(t + "：")) {
                structureMap.put("通知信息", htmlContent.substring(0, htmlContent.indexOf(t)));
                break;
            }
        }
        if (StringUtil.isNotBlank(htmlContent)) {
            CommonAnalysisUtil.html2StructureMap(titles, htmlContent, structureMap);
        }
//        CommonAnalysisUtil.extractWardInfo(recTitle,text, map);
//        String bqjlText = "病情记录" + map.get("病情记录").replace("请在此填写会诊处理意见","").replace("会诊回复时间","");
//        List<String> titles = Lists.newArrayList(
//                "病情记录","答复","日期时间"
//        );
        XyCommonAnalysisUtil.processType(structureMap, "会诊类型");
//        titles = CommonAnalysisUtil.sortTitlesNoColon(titles, bqjlText);
//        CommonAnalysisUtil.cutByTitlesNoColon(bqjlText, titles, 0, map);
    }

}