package com.lantone.qc.trans.changshaxy.util;

import com.google.common.collect.Lists;
import com.google.common.collect.Maps;
import com.lantone.qc.pub.util.StringUtil;
import com.lantone.qc.trans.changshaxy.util.comsis.XyCommonAnalysisUtil;
import com.lantone.qc.trans.comsis.CommonAnalysisUtil;
import lombok.extern.slf4j.Slf4j;
import org.jsoup.Jsoup;
import org.jsoup.nodes.Document;
import org.jsoup.nodes.Element;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @author: rengb
 * @time: 2020/9/17 14:27
 */
@Slf4j
public class XyDeathCaseDiscussHtmlAnalysis implements XyHtmlAnalysis {

    private String modeId = "3";

    @Override
    public Map<String, String> analysis(String... args) {
        Map<String, String> map = Maps.newLinkedHashMap();
        try {
            String html = args[0];
            String recTypeId = args[2];
            Document doc = Jsoup.parse(html);
            String text = XyHtmlAnalysisUtil.blockDivToStr(doc.selectFirst("body"), true).replace("&nbsp", "");

            List<String> titles = Lists.newArrayList("时间", "地点", "主持人", "参加人员", "病例报告人",
                    "病例摘要","辅助资料", "入院后诊疗经过","发言人", "讨论总结意见", "死亡诊断", "死亡原因", "经验教训","主持人签名","记录人签名");

            if (StringUtil.isNotBlank(text)) {
//                titles = XyCommonAnalysisUtil.sortTitles(titles, text);
                XyCommonAnalysisUtil.cutByTitles(text, titles, 0, map);
            }
//            XyHtmlAnalysisUtil.mapValueRemoveStartColon(map);

            XyHtmlAnalysisUtil.insertModuleId(modeId, recTypeId, map);
        } catch (Exception e) {
            log.error(e.getMessage(), e);
        }
        return map;
    }

}