package com.lantone.qc.trans.changshaxy.util;

import com.google.common.collect.Lists;
import com.google.common.collect.Maps;
import com.lantone.qc.pub.util.StringUtil;
import com.lantone.qc.trans.changshaxy.util.comsis.XyCommonAnalysisUtil;
import com.lantone.qc.trans.comsis.CommonAnalysisUtil;
import lombok.extern.slf4j.Slf4j;
import org.jsoup.Jsoup;
import org.jsoup.nodes.Document;

import java.util.List;
import java.util.Map;

/**
 * @Description: 死亡记录html解析
 * @author: HUJING
 * @time: 2020/9/14 15:41
 */
@Slf4j
public class XyDeathRecordHtmlAnalysis implements XyHtmlAnalysis {

    private String modeId = "24";

    @Override
    public Map<String, String> analysis(String... args) {
        Map<String, String> structureMap = Maps.newLinkedHashMap();
        try {
            List<String> titles = Lists.newArrayList("入院日期", "死亡时间", "住院天数", "入院诊断", "病情摘要", "辅助资料","入院后诊疗经过",
                    "抢救经过","死亡诊断", "死亡原因", "医师签名", "上级医师签名", "签名时间");
            String html = args[0];
            String recTitle = args[1];
            String recTypeId = args[2];
            Document doc = Jsoup.parse(html);
            String htmlContent = XyHtmlAnalysisUtil.blockDivToStr(doc.selectFirst("body"), true);
            if (StringUtil.isNotBlank(htmlContent)) {
                htmlContent = htmlContent.replaceAll("[   ]", " ");
                XyCommonAnalysisUtil.html2StructureMap(titles, htmlContent, structureMap);
            }
//            XyCommonAnalysisUtil.extractDateByTitle(structureMap, "记录时间");
            XyHtmlAnalysisUtil.insertModuleId(modeId, recTypeId, structureMap);
        } catch (Exception e) {
            log.error(e.getMessage(), e);
        }
        return structureMap;
    }
}