package com.lantone.qc.trans.changshaxy.util;

import com.google.common.collect.Lists;
import com.google.common.collect.Maps;
import com.lantone.qc.pub.util.StringUtil;
import com.lantone.qc.trans.changshaxy.util.comsis.XyCommonAnalysisUtil;

import lombok.extern.slf4j.Slf4j;
import org.jsoup.Jsoup;
import org.jsoup.nodes.Document;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @author: HUJING
 * @time: 2020/9/9 11:24
 */
@Slf4j
public class XyFirstCourseRecordHtmlAnalysis implements XyHtmlAnalysis {

    private String modeId = "2";

    @Override
    public Map<String, String> analysis(String... args) {
        Map<String, String> structureMap = Maps.newLinkedHashMap();
        try {
            List<String> titles = Lists.newArrayList("病例特点","临床表现", "主要症状", "既往史", "查体","辅助资料",
                    "拟诊讨论","诊断依据", "鉴别诊断", "入院诊断", "病例分型", "诊疗计划");
            String html = args[0];
            String recTitle = args[1];
            Document doc = Jsoup.parse(html);
            String htmlContent = XyHtmlAnalysisUtil.blockDivToStr(doc.selectFirst("body"), true).replace("&nbsp", ":");
            htmlContent.replace(" ", "");
            XyCommonAnalysisUtil.extractWardInfo(recTitle, htmlContent, structureMap);
            if (StringUtil.isNotBlank(htmlContent)) {
                titles = XyCommonAnalysisUtil.sortTitles(titles, htmlContent);
                XyCommonAnalysisUtil.cutByTitles(htmlContent, titles, 0, structureMap);
            }

            //解决病例特点与拟诊讨论
            if (StringUtil.isNotBlank(structureMap.get("病情记录"))) {
                Integer index = structureMap.get("病情记录").indexOf("拟诊讨论");
                structureMap.put("病例特点", structureMap.get("病情记录").substring(0, index));
                structureMap.put("拟诊讨论", structureMap.get("病情记录").substring(index + "拟诊讨论".length(), structureMap.get("病情记录").length()));
            }
            XyHtmlAnalysisUtil.insertModuleId(modeId, recTitle, structureMap);


//            if (StringUtil.isNotBlank(structureMap.get("病例分型"))) {
//                structureMap.put("病例分型", structureMap.get("病例分型").replace("4.", ""));
//            }
//            if (StringUtil.isNotBlank(structureMap.get("辅助资料"))) {
//                structureMap.put("辅助资料", structureMap.get("辅助资料").replace("2.", ""));
//            }
        } catch (Exception e) {
            log.error(e.getMessage(), e);
        }
        return structureMap;
    }

}