package com.lantone.qc.trans.changshaxy.util;

import com.google.common.collect.Lists;
import com.google.common.collect.Maps;
import com.lantone.qc.pub.util.StringUtil;
import com.lantone.qc.trans.changshaxy.util.comsis.XyCommonAnalysisUtil;
import com.lantone.qc.trans.comsis.CommonAnalysisUtil;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.jsoup.Jsoup;
import org.jsoup.nodes.Document;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @author: HUJING
 * @time: 2020/9/9 11:24
 */
@Slf4j
public class XyLeaveHospitalHtmlAnalysis implements XyHtmlAnalysis {

    private String modeId = "5";

    @Override
    public Map<String, String> analysis(String... args) {
        Map<String, String> structureMap = Maps.newLinkedHashMap();
        try {
            List<String> titles = Lists.newArrayList("入院日期", "出院日期", "住院天数", "入院诊断",
                    "入院时体查","辅助资料","住院经过", "出院时情况",
                    "出院诊断", "出院医嘱", "医师签名", "上级医师签名","医师","上级医师");
            String html = args[0];
            String recTitle = args[1];
            String recTypeId = args[2];
            Document doc = Jsoup.parse(html);
            String htmlContent = XyHtmlAnalysisUtil.blockDivToStr(doc.selectFirst("body"), true).replace("&nbsp", ":");
            htmlContent.replace(" ", "");

            if (StringUtil.isNotBlank(htmlContent)) {
                List<String> sortTitles = XyCommonAnalysisUtil.sortTitles(titles, htmlContent);
                XyCommonAnalysisUtil.cutByTitles(htmlContent, sortTitles, 0, structureMap);
            }
            if(StringUtils.isNotEmpty(structureMap.get("入院诊断"))){
                String diagString =structureMap.get("入院诊断");
                if (diagString.contains("。")){
                    Integer index=diagString.indexOf("。");
                    structureMap.put("入院诊断",diagString.substring(0,index));
                    structureMap.put("基本信息",diagString.substring(index,diagString.length()));
                }
            }
            XyHtmlAnalysisUtil.insertModuleId(modeId, recTypeId, structureMap);
        } catch (Exception e) {
            log.error(e.getMessage(), e);
        }
        return structureMap;
    }
}