package com.lantone.qc.trans.changshaxy.util;

import com.google.common.collect.Lists;
import com.google.common.collect.Maps;
import com.lantone.qc.trans.changshaxy.util.comsis.XyCommonAnalysisUtil;
import com.lantone.qc.trans.comsis.CommonAnalysisUtil;
import lombok.extern.slf4j.Slf4j;
import org.jsoup.Jsoup;
import org.jsoup.nodes.Element;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @author: rengb
 * @time: 2020/9/28 14:56
 */
@Slf4j
public class XyOperationHtmlAnalysis implements XyHtmlAnalysis {

    private String modeId = "18";

    @Override
    public Map<String, String> analysis(String... args) {
        Map<String, String> map = Maps.newLinkedHashMap();
        try {
            String html = args[0];
            String recTitle = args[1];
            String recTypeId = args[2];
            Element bigDivElement = Jsoup.parse(html).selectFirst("body").child(0);
            analysisGeneral(recTitle, bigDivElement, map);
            XyHtmlAnalysisUtil.insertModuleId(modeId, recTypeId, map);
        } catch (Exception e) {
            log.error(e.getMessage(), e);
        }
        return map;
    }

    private void analysisGeneral(String recTitle, Element bigDivElement, Map<String, String> map) {
        if (bigDivElement.childNodeSize() == 1) {
            bigDivElement = bigDivElement.child(0);
        }
        if (bigDivElement.selectFirst("hr") != null) {
            bigDivElement.selectFirst("hr").previousElementSiblings().remove();
        }
        String text = XyHtmlAnalysisUtil.blockDivToStr(bigDivElement, true);
        XyCommonAnalysisUtil.extractWardInfo(recTitle, text, map);
        String bqjlText = "病情记录" + map.get("病情记录")
                .replace("提醒：有创诊疗操作记录内容包括操作名称、时间、步骤、结果及患者的一般情况，记录操作过", "")
                .replace("程是否顺利，有无不良反应，术后注意事项，操作医师签名、记录时间等。", "")
                .replace("手术室完成的、治疗性质的及全麻下完成的有创诊疗操作参照手术管理。（包括介入治疗、胃肠镜", "")
                .replace("下肿瘤切除/粘膜下肿瘤剥除等）", "");
        List<String> titles = Lists.newArrayList("术后诊断", "术后处理", "记录者签名","医生签名");
        titles = XyCommonAnalysisUtil.sortTitles(titles, bqjlText);
        XyCommonAnalysisUtil.cutByTitles(bqjlText, titles, 0, map);
        //解决病情记录包括
        if(map.containsKey("病情记录") && map.containsKey("术后诊断")){
            String info = map.get("病情记录");
            map.put("病情记录",info.substring(0,info.indexOf("术后诊断")));
        }
    }

}