package com.lantone.qc.trans.changshaxy.util;

import com.google.common.collect.Lists;
import com.google.common.collect.Maps;
import com.lantone.qc.trans.changshaxy.util.comsis.XyCommonAnalysisUtil;
import com.lantone.qc.trans.comsis.CommonAnalysisUtil;
import lombok.extern.slf4j.Slf4j;
import org.jsoup.Jsoup;
import org.jsoup.nodes.Element;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @author: rengb
 * @time: 2020/9/28 20:20
 */
@Slf4j
public class XyTransferIntoHtmlAnalysis implements XyHtmlAnalysis {

    private String modeId = "26";

    @Override
    public Map<String, String> analysis(String... args) {
        Map<String, String> map = Maps.newLinkedHashMap();
        try {
            String html = args[0];
            String recTitle = args[1];
            String recTypeId = args[2];
            Element bigDivElement = Jsoup.parse(html).selectFirst("body").child(0);
            analysisGeneral(recTitle, bigDivElement, map);
            XyHtmlAnalysisUtil.insertModuleId(modeId, recTypeId, map);
        } catch (Exception e) {
            log.error(e.getMessage(), e);
        }
        return map;
    }

    private void analysisGeneral(String recTitle, Element bigDivElement, Map<String, String> map) {
        if (bigDivElement.childNodeSize() == 1) {
            bigDivElement = bigDivElement.child(0);
        }
        if (bigDivElement.selectFirst("hr") != null) {
            bigDivElement.selectFirst("hr").previousElementSiblings().remove();
        }
        String text = XyHtmlAnalysisUtil.blockDivToStr(bigDivElement, true);
        XyCommonAnalysisUtil.extractWardInfo(recTitle, text, map);
        String bqjlText = "病情记录" + map.get("病情记录");
        List<String> titles = Lists.newArrayList(
                "体查", "入院诊断", "入院后经完善相关检查","转科诊断","注意事项","医师签名","上级医师签名"
        );
        for (String t: titles) {
            if (bqjlText.contains(t + ":") || bqjlText.contains(t + "：")) {
                map.put("主诉", bqjlText.substring(0, bqjlText.indexOf(t)));
                break;
            }
        }
        titles = CommonAnalysisUtil.sortTitlesNoColon(titles, bqjlText);
        CommonAnalysisUtil.cutByTitlesNoColon(bqjlText, titles, 0, map);
    }

}